### Function

# FwupdPlugin CborItem new_string

since: 2.1.2

#### Declaration [src]

    FuCborItem*
    fu_cbor_item_new_string (
      const gchar* value
    )

#### Description [src]

Creates a CBOR object representing a string.

Available since: 2.1.2

This function is not directly available to language bindings.

#### Parameters

`value`

  Type: `const gchar*`

  Initial value, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FuCborItem`

A `FuCborItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.